Bug 220533 - units: non-failsafe install-info usage, info files removed from index on update
units: non-failsafe install-info usage, info files removed from index on update
Product: Fedora
Classification: Fedora
Component: units (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-12-21 17:32 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 04:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dpm (547 bytes, text/x-patch)
2007-01-23 11:54 EST, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2006-12-21 17:32:03 EST
units's install-info usage is not failsafe, see

Additionally, the install-info --delete in %preun should be wrapped inside "if
[ $1 -eq 0 ]" to prevent the info files from being removed from the index on
Comment 1 Florian La Roche 2007-01-23 08:47:12 EST
Fixed in -2.


Florian La Roche
Comment 2 Ville Skyttä 2007-01-23 11:54:43 EST
Created attachment 146317 [details]

Oops, -2 wraps %post inside [ "$1" = 0 ], that can never happen and should be
in %preun instead, fix attached.
Comment 3 Ville Skyttä 2007-01-23 11:57:27 EST
In case you're wondering, the "Dpm" in the patch description in comment 2 is
just an odd way of saying "fix info removal from index" ;) (accidental Enter hit
while looking for backspace)
Comment 4 Harald Hoyer 2007-01-24 04:38:57 EST
fixed previous fix

Note You need to log in before you can comment on or make changes to this bug.